
ISIS - Bug #3890

Chandrayaan 1 M3 images are not gap filled correctly

2016-04-11 02:37 PM - Stuart Sides

Status: Closed   

Priority: High   

Assignee: Stuart Sides   

Category: Applications   

Target version: 3.5.0 (FY17 R1 2017-01-25 Jan)   

Impact: This should not affect other ISIS

applications. This will change the

locations of control points once the NULL

at the top of cube are not added. The

ISIS cube labels for starttime, stoptime,

and clock counts will change.

Software Version: 3.4.11 (FY16 R1 2015-10-28 Oct)

Description

The Chandrayaan 1 M3 images have some NULL lines at the top or bottom after chan1m32isis. This should not be possible. The gap

filling needs to be looked at.

History

#1 - 2016-04-11 02:40 PM - Stuart Sides

- Impact updated

- Software Version set to 3.4.11 (FY16 R1 2015-10-28 Oct)

This appears to be an issue with the number of time table entries plus gaps large enough to fit one or more exposure durations does not match the

calculation of how many lines should be between start time and end time.

#3 - 2016-05-02 01:19 PM - Stuart Sides

- Status changed from In Progress to Resolved

#4 - 2016-09-26 05:10 PM - Lynn Weller

- Status changed from Resolved to Feedback

Via an email in May from Lynn to Stuart:

I ran a small set of Themis daytime IR data through various processing steps (ingestion, spice, cam2map, automos, control network programs

and jigsaw) under m03890 and compared it to the same run under isis3production and the results are identical.  But I don't know if this is a

sufficient enough test to suggest the changes made to LinesScanCameraGroundMap are ok and won't negatively impact any other cameras.  Is

there anything else that should be looked at?

I think the only other thing that might be nagging is differences during ingestion in the number of lines calculated versus the actual number of

lines.  A quick look at print.prt shows many cases where the difference is negligible (<<1 line), but I did see there were some where the

difference was 2-3 lines.  I haven't found an easy way to pull those numbers out of the print file for comparison so it is possible there may be an

image with a larger difference, but it's not clear if this is a problem or not.  We could always close the post and reopen it to fix the ingestion

software if the line differences are a problem, or just keep the post open until we hear something from Joe.

The two main concerns are 1) changes made to LinesScanCameraGroundMap having undesired affects on other cameras, and 2) calculated

lines versus actual number of lines.  I don't know that a single end to end test on a subset of Themis IR data is sufficient, but as indicated,

production results match the results produced under this version of isis.  The second bullet still needs addressing and was to involve an email to

Joe to help understand the discrepancy.  In an effort to help determine the number of images with line discrepancies and what those differences

are I pulled the pertinent information out of the print file for the ingestion process and populated a CSV file

(/work/projects/m3/lweller/JBLOC_Products/Cluster/ProcLev1/chan1m32isis.csv).

 

Assuming everything is ok with the change to LinesScanCameraGroundMap, the number of lines issue still needs closure.  
I took the mentioned csv file into Excel and calculated the output and calculated line differences and found

- 331 images had no difference between output and calculated number of lines

- 546 images have 2 more output lines than calculated

- 4 images have 1 more output line than calculated

- 1 image has 1 less output line than calculated and notably

- 1 image has 56 less output lines than calculated.  This latter image also had the most NULL lines added during the ingestion process.  

The file with the calculated differences is /work/projects/m3/lweller/JBLOC_Products/Cluster/ProcLev1/chan1m32isis_DiffCalc.csv.  It was sorted from

smallest difference to largest.  There is also an excel spreadsheet in this directory by the same name.

#5 - 2016-10-14 05:43 PM - Stuart Sides

- Status changed from Feedback to Resolved

- Target version changed from 3.4.13 (FY16 R3 2016-08-31 Aug) to 3.5.0 (FY17 R1 2017-01-25 Jan)

I've looked at Lynn's CSV and am confident the images with differences of 0 to 2 lines between actual and calculated lines is as good as we can get.

Many of the times in the TIM table are not exactly equal to the documented exposure duration of the instrument. Very small time differences can

easily add up over the 15K lines of in these images, causing the code to add one more gap or leave one out.

The one image that has a calculated -vs- actual lines count of 56 also looks good to me. The time table for that images has many gaps and some are

very large.

I believe Lynn should be able to move forward with processing the M3 data with regards to this problem, so I am resoling the ticket. If we find

otherwise let me know.

#6 - 2016-10-14 05:47 PM - Lynn Weller

- Status changed from Resolved to Closed

Thanks Stuart!
